cudaKernelNodeParams(3)

NAME
cudaKernelNodeParams -

SYNOPSIS

  Data Fields

dim3 blockDim
void ** extra
void * func
dim3 gridDim
void ** kernelParams
unsigned int sharedMemBytes

Detailed Description

CUDA GPU kernel node parameters

Field Documentation

  dim3 cudaKernelNodeParams::blockDim

Block dimensions

  void** cudaKernelNodeParams::extra

Pointer to kernel arguments in the 'extra' format

  void* cudaKernelNodeParams::func

Kernel to launch

  dim3 cudaKernelNodeParams::gridDim

Grid dimensions

  void** cudaKernelNodeParams::kernelParams

Array of pointers to individual kernel arguments

  unsigned int cudaKernelNodeParams::sharedMemBytes

Dynamic shared-memory size per thread block in bytes

Author

Generated automatically by Doxygen from the source code.